@if (section) {
  <div
    class="section"
    style="display: grid; grid-template-columns: 1fr 1fr 1fr; grid-row-gap: 5px"
  >
    <div class="flex-column">
      <div
        style="
          display: grid;
          grid-template-columns: 1fr 1fr;
          column-gap: 10px;
          align-items: center;
        "
      >
        <sqtm-core-label
          [text]="'sqtm-core.requirement-workspace.rate.coverage' | translate"
        ></sqtm-core-label>
        <div class="flex-row" style="align-items: center">
          <div class="m-r-5 rate-container flex flex-column percent">
            <span style="font-weight: bold">{{
              (section.coveredChildrenAmount +
                (section.currentVersion.plannedTestCase > 0 ? 1 : 0)) /
                (section.childrenAmount + 1) | percent: '.0-2'
            }}</span>
          </div>
          <span style="font-weight: bold"
            >({{
              section.coveredChildrenAmount +
                (section.currentVersion.plannedTestCase > 0 ? 1 : 0)
            }}/{{ section.childrenAmount + 1 }})</span
          >
        </div>
      </div>
      <div
        style="
          display: grid;
          grid-template-columns: 1fr 1fr;
          column-gap: 10px;
          align-items: center;
        "
      >
        <sqtm-core-label
          [text]="'sqtm-core.requirement-workspace.rate.redaction' | translate"
        ></sqtm-core-label>
        <div class="flex-row" style="align-items: center">
          <div class="m-r-5 rate-container flex flex-column percent">
            <span style="font-weight: bold">{{
              section.total.redactedTestCase / section.total.allTestCaseCount
                | percent: '.0-2'
            }}</span>
            @if (section.total.allTestCaseCount === 0) {
              <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
            }
          </div>
          <span style="font-weight: bold"
            >({{ section.total.redactedTestCase }}/{{
              section.total.allTestCaseCount
            }})</span
          >
        </div>
      </div>
      <div
        style="
          display: grid;
          grid-template-columns: 1fr 1fr;
          column-gap: 10px;
          align-items: center;
        "
      >
        <sqtm-core-label
          [text]="
            'sqtm-core.requirement-workspace.rate.verification' | translate
          "
        ></sqtm-core-label>
        <div class="flex-row" style="align-items: center">
          <div class="m-r-5 rate-container flex flex-column percent">
            <span style="font-weight: bold">{{
              section.total.verifiedTestCase / section.total.plannedTestCase
                | percent: '.0-2'
            }}</span>
            @if (section.total.plannedTestCase === 0) {
              <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
            }
          </div>
          <span style="font-weight: bold"
            >({{ section.total.verifiedTestCase }}/{{
              section.total.plannedTestCase
            }})</span
          >
        </div>
      </div>
      <div
        style="
          display: grid;
          grid-template-columns: 1fr 1fr;
          column-gap: 10px;
          align-items: center;
        "
      >
        <sqtm-core-label
          [text]="'sqtm-core.requirement-workspace.rate.validation' | translate"
        ></sqtm-core-label>
        <div class="flex-row" style="align-items: center">
          <div class="m-r-5 rate-container flex flex-column percent">
            <span style="font-weight: bold">{{
              section.total.validatedTestCases / section.total.executedTestCase
                | percent: '.0-2'
            }}</span>
            @if (section.total.executedTestCase === 0) {
              <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
            }
          </div>
          <span style="font-weight: bold"
            >({{ section.total.validatedTestCases }}/{{
              section.total.executedTestCase
            }})</span
          >
        </div>
      </div>
    </div>
    @if (section.haveChildren && !section.highLevelRequirement) {
      <div class="flex-column">
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="
              'sqtm-core.requirement-workspace.rate.requirement' | translate
            "
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                (section.currentVersion.plannedTestCase > 0 ? 1 : 0) / 1
                  | percent: '.0-2'
              }}</span>
            </div>
            <span style="font-weight: bold"
              >({{ section.currentVersion.plannedTestCase > 0 ? 1 : 0 }}/{{
                1
              }})</span
            >
          </div>
        </div>
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="
              'sqtm-core.requirement-workspace.rate.requirement' | translate
            "
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                section.currentVersion.redactedTestCase /
                  section.currentVersion.allTestCaseCount | percent: '.0-2'
              }}</span>
              @if (section.currentVersion.allTestCaseCount === 0) {
                <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
              }
            </div>
            <span style="font-weight: bold"
              >({{ section.currentVersion.redactedTestCase }}/{{
                section.currentVersion.allTestCaseCount
              }})</span
            >
          </div>
        </div>
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="
              'sqtm-core.requirement-workspace.rate.requirement' | translate
            "
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                section.currentVersion.verifiedTestCase /
                  section.currentVersion.plannedTestCase | percent: '.0-2'
              }}</span>
              @if (section.currentVersion.plannedTestCase === 0) {
                <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
              }
            </div>
            <span style="font-weight: bold"
              >({{ section.currentVersion.verifiedTestCase }}/{{
                section.currentVersion.plannedTestCase
              }})</span
            >
          </div>
        </div>
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="
              'sqtm-core.requirement-workspace.rate.requirement' | translate
            "
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                section.currentVersion.validatedTestCases /
                  section.currentVersion.executedTestCase | percent: '.0-2'
              }}</span>
              @if (section.currentVersion.executedTestCase === 0) {
                <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
              }
            </div>
            <span style="font-weight: bold"
              >({{ section.currentVersion.validatedTestCases }}/{{
                section.currentVersion.executedTestCase
              }})</span
            >
          </div>
        </div>
      </div>
    }
    @if (section.haveChildren && section.highLevelRequirement) {
      <div class="flex-column">
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="
              'sqtm-core.requirement-workspace.rate.high-level-requirement'
                | translate
            "
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                (section.currentVersion.plannedTestCase > 0 ? 1 : 0) / 1
                  | percent: '.0-2'
              }}</span>
            </div>
            <span style="font-weight: bold"
              >({{ section.currentVersion.plannedTestCase > 0 ? 1 : 0 }}/{{
                1
              }})</span
            >
          </div>
        </div>
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="
              'sqtm-core.requirement-workspace.rate.high-level-requirement'
                | translate
            "
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                section.currentVersion.redactedTestCase /
                  section.currentVersion.allTestCaseCount | percent: '.0-2'
              }}</span>
              @if (section.currentVersion.allTestCaseCount === 0) {
                <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
              }
            </div>
            <span style="font-weight: bold"
              >({{ section.currentVersion.redactedTestCase }}/{{
                section.currentVersion.allTestCaseCount
              }})</span
            >
          </div>
        </div>
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="
              'sqtm-core.requirement-workspace.rate.high-level-requirement'
                | translate
            "
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                section.currentVersion.verifiedTestCase /
                  section.currentVersion.plannedTestCase | percent: '.0-2'
              }}</span>
              @if (section.currentVersion.plannedTestCase === 0) {
                <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
              }
            </div>
            <span style="font-weight: bold"
              >({{ section.currentVersion.verifiedTestCase }}/{{
                section.currentVersion.plannedTestCase
              }})</span
            >
          </div>
        </div>
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="
              'sqtm-core.requirement-workspace.rate.high-level-requirement'
                | translate
            "
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                section.currentVersion.validatedTestCases /
                  section.currentVersion.executedTestCase | percent: '.0-2'
              }}</span>
              @if (section.currentVersion.executedTestCase === 0) {
                <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
              }
            </div>
            <span style="font-weight: bold"
              >({{ section.currentVersion.validatedTestCases }}/{{
                section.currentVersion.executedTestCase
              }})</span
            >
          </div>
        </div>
      </div>
    }
    @if (section.haveChildren && !section.highLevelRequirement) {
      <div class="flex-column">
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="'sqtm-core.requirement-workspace.rate.child' | translate"
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                section.coveredChildrenAmount / section.childrenAmount
                  | percent: '.0-2'
              }}</span>
              @if (section.children.allTestCaseCount === 0) {
                <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
              }
            </div>
            <span style="font-weight: bold"
              >({{ section.coveredChildrenAmount }}/{{
                section.childrenAmount
              }})</span
            >
          </div>
        </div>
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="'sqtm-core.requirement-workspace.rate.child' | translate"
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                section.children.redactedTestCase /
                  section.children.allTestCaseCount | percent: '.0-2'
              }}</span>
              @if (section.children.allTestCaseCount === 0) {
                <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
              }
            </div>
            <span style="font-weight: bold"
              >({{ section.children.redactedTestCase }}/{{
                section.children.allTestCaseCount
              }})</span
            >
          </div>
        </div>
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="'sqtm-core.requirement-workspace.rate.child' | translate"
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                section.children.verifiedTestCase /
                  section.children.plannedTestCase | percent: '.0-2'
              }}</span>
              @if (section.children.plannedTestCase === 0) {
                <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
              }
            </div>
            <span style="font-weight: bold"
              >({{ section.children.verifiedTestCase }}/{{
                section.children.plannedTestCase
              }})</span
            >
          </div>
        </div>
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="'sqtm-core.requirement-workspace.rate.child' | translate"
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                section.children.validatedTestCases /
                  section.children.executedTestCase | percent: '.0-2'
              }}</span>
              @if (section.children.executedTestCase === 0) {
                <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
              }
            </div>
            <span style="font-weight: bold"
              >({{ section.children.validatedTestCases }}/{{
                section.children.executedTestCase
              }})</span
            >
          </div>
        </div>
      </div>
    }
    @if (section.haveChildren && section.highLevelRequirement) {
      <div class="flex-column">
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="
              'sqtm-core.requirement-workspace.rate.high-level-requirement'
                | translate
            "
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                section.coveredChildrenAmount / section.childrenAmount
                  | percent: '.0-2'
              }}</span>
            </div>
            <span style="font-weight: bold"
              >({{ section.coveredChildrenAmount }}/{{
                section.childrenAmount
              }})</span
            >
          </div>
        </div>
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="
              'sqtm-core.requirement-workspace.rate.standard-requirement'
                | translate
            "
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                section.children.redactedTestCase /
                  section.children.allTestCaseCount | percent: '.0-2'
              }}</span>
              @if (section.children.allTestCaseCount === 0) {
                <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
              }
            </div>
            <span style="font-weight: bold"
              >({{ section.children.redactedTestCase }}/{{
                section.children.allTestCaseCount
              }})</span
            >
          </div>
        </div>
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="
              'sqtm-core.requirement-workspace.rate.standard-requirement'
                | translate
            "
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                section.children.verifiedTestCase /
                  section.children.plannedTestCase | percent: '.0-2'
              }}</span>
              @if (section.children.plannedTestCase === 0) {
                <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
              }
            </div>
            <span style="font-weight: bold"
              >({{ section.children.verifiedTestCase }}/{{
                section.children.plannedTestCase
              }})</span
            >
          </div>
        </div>
        <div
          style="
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 10px;
            align-items: center;
          "
        >
          <sqtm-core-label
            [text]="
              'sqtm-core.requirement-workspace.rate.standard-requirement'
                | translate
            "
          ></sqtm-core-label>
          <div class="flex-row" style="align-items: center">
            <div class="m-r-5 rate-container flex flex-column percent">
              <span style="font-weight: bold">{{
                section.children.validatedTestCases /
                  section.children.executedTestCase | percent: '.0-2'
              }}</span>
              @if (section.children.executedTestCase === 0) {
                <span style="font-weight: bold">{{ 0 | percent: '.0-2' }}</span>
              }
            </div>
            <span style="font-weight: bold"
              >({{ section.children.validatedTestCases }}/{{
                section.children.executedTestCase
              }})</span
            >
          </div>
        </div>
      </div>
    }
  </div>
}
